import { t as toPrimitive$1, o as objectDefineProperty } from './normalize-component-43ce05b9.js';
import { l as createPropertyDescriptor$1 } from './well-known-symbol-9b7e0fd8.js';

var toPrimitive = toPrimitive$1;
var definePropertyModule = objectDefineProperty;
var createPropertyDescriptor = createPropertyDescriptor$1;

var createProperty = function (object, key, value) {
  var propertyKey = toPrimitive(key);
  if (propertyKey in object) definePropertyModule.f(object, propertyKey, createPropertyDescriptor(0, value));
  else object[propertyKey] = value;
};

export { createProperty as c };
